Internet Chess Server Options

/ics or /xics, or /internetChessServerMode true|false

Connect with an Internet Chess Server to play chess against its other users, observe games they are playing, or review games that have recently finished. See ICS Client Default: False.

You can create a script file containing ICS commands that WinBoard will type in for you whenever you connect to the ICS. See ICS Logon.

/icshost or /internetChessServerHost hostname

The host name or numeric address of the Internet Chess Server to connect to when in ICS mode. The default is the empty string, which causes WinBoard to pop up a menu of known ICS sites. The file ics-addresses.txt in the WinBoard distribution gives slightly more information on these sites. It includes their numeric addresses, which you can use if your site does not have a working name server.

/icsport or /internetChessServerPort portnumber

The port number to use when connecting to a chess server in ICS mode. Default: 5000.

/icshelper program

An external helper program used to communicate with the chess server. Typically timestamp for the ICC (chessclub.com) or timeseal for FICS (freechess.org, eics.daimi.aau.dk, etc.). This option is shorthand for “/useTelnet /telnetProgram program”.

/telnet or /xtelnet, or /useTelnet true|false

This option is poorly named; it should be called /useHelper. If set to True, it instructs WinBoard to use an external helper program to communicate with the ICS, as specified by the telnetProgram option. The external program must be a pure console application that can communicate with WinBoard through pipes; the Windows telnet application is not suitable. If the option is False (the default), WinBoard communicates with the ICS by opening a Winsock TCP socket and using its own internal implementation of the telnet protocol.

/gateway hostname

If this option is set to a host name, WinBoard uses rsh to run the telnetProgram remotely on the given host to communicate with the Internet Chess Server instead of using its own internal implementation of the telnet protocol. See the FIREWALLS section below for an explanation of when this option is useful.

/telnetProgram program

This option is poorly named; it should be called /helperProgram. It gives the name of the remote or external helper program to be used with the gateway or useTelnet option. The default is "telnet". The telnet program is invoked with the value of internetChessServer as the first argument and the value of internetChessServerPort as the second argument on its command line.

/icscom or /internetChessServerComPort name

If this option is set, WinBoard communicates with the Internet Chess Server using a serial communication port instead of a network connection. Use this option if your machine is not connected to a network (not even via SLIP or PPP), but you do have Internet access through another machine by dialing in using a modem or by connecting directly to a serial terminal port. Example:

    WinBoard /ics /icscom:com1

After you start WinBoard in this way, type whatever modem commands are necessary to dial out to your Internet provider and log in. You may need to turn off Local Line Editing on the Options menu while typing commands to the modem, but turn it on again afterwards. Then telnet to the ICS, using a command like "telnet chessclub.com 5000". Important: See the paragraph in the LIMITATIONS section below about extra echoes.

/comPortSettings “dataRate,dataBits,parity,stopBits,flow”

This option allows serial port parameters to be set from the command line or a settings file. The values are simply filled in to the Communications dialog.

/icslogon or /internetChessServerLogonScript filename

This option lets you change the name used for the ICS Logon file. Default: "ICS.ini". The filename is interpreted relative to WinBoard's installation directory (the directory containing WinBoard.exe).

/autocomm or /xautocomm, or /autoComment true|false

Sets the Auto Comment option. Default: False.

/autoflag or /xautoflag, or /autoCallFlag true|false

Sets the Auto Flag option. Default: False.

/autobs or /xautobs, or /autoObserve true|false

Sets the Auto Observe option. Default: False.

/autoKibitz

Kibitzes the engines last thinking output (depth, score, time, speed, PV) to the ICS in zippy mode. Show Thinking must be on for this option to work. Also diverts similar kibitz information of an opponent engine that is playing you through the ICS to the engine-output window, as if the engine was playing locally.

/moves or /xmoves, or /getMoveList true|false

Sets the Get Move List option. Default: True.

/edit or /xedit, or /localLineEditing true|false

Sets the Local Line Editing option. Default: True.

/quiet or /xquiet, or /quietPlay true|false

Sets the Quiet Play option. Default: False

/blindfold true|false

Sets the Blindfold option. Default: False

/seekGraph true|false, or /sg

Enables summoning up of the Seek Graph by left-clicking the board. Default: False

/autoRefresh true|false

Sets the Auto Refresh option of the Seek Graph. Default: False

/backgroundObserve true|false

Sets the Background Observe option for observing other games during play. Default: False

/dualBoard true|false

Sets the Dual Board option for observing your partner's bughouse game. Default: False

/pre or /xpre, or /premove true|false

Sets the Premove option. If set to True, the premove feature is enabled. If set to False, premove is disabled and the other Premove settings are ignored. Default: False.

/prewhite or /xprewhite, or /premoveWhite true|false

/premoveWhiteText movetext

If premoveWhite is set to True and you are playing white in an ICS game, the text specified by the premoveWhiteText option is sent to the ICS as soon as the game starts. These options can be set from the Premove section of the ICS Options dialog box. The default for premoveWhite is False.

/preblack or /xpreblack, or /premoveBlack true|false

/premoveBlackText movetext

If premoveBlack is set to True and you are playing black in an ICS game, the text specified by the premoveBlackText option is sent to the ICS as soon as the first move is received from your opponent, even if you make a different premove on the board before the first white move is received. These options can be set from the Premove section of the ICS Options dialog box. The default for premoveBlack is False.

/oneClickMove true|false

Sets the One-Click Move option. Default: False

/alarm or /xalarm, or /icsAlarm true|false

/icsAlarmTime milliseconds

When icsAlarm is set to True, the alarm sound is played when your clock counts down to icsAlarmTime seconds. For ICS games with time controls that include an increment, the alarm will sound each time the clock counts down to the icsAlarmTime. The icsAlarmTime can be set by selecting ICS Alarm from the ICS options dialog. The default is 5 seconds.

/keepAlive time

When time is non-zero, send a “date” command every time minutes after your last move to the ICS, to prevent it from logging you off. (Do not use frivolously! The ICS operator might ban you.) Default: 0.

/chatBoxes handles

Sets the list of Chat Boxes to be opened at startup. The given string handles should be a semicolon-separated list, like “shouts;53;Johnny” to open 3 chat boxes, to capture all shouts (including c-shouts and ‘it’ messages), the traffic on channel 53, and for a player named Johnny. Default: no chat windows.